Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.form.event
Class HtmlEditorListenerAdapter

    java.lang.Object
      com.gwtext.client.widgets.event.ComponentListenerAdapter
          com.gwtext.client.widgets.event.BoxComponentListenerAdapter
              com.gwtext.client.widgets.form.event.FieldListenerAdapter
                  com.gwtext.client.widgets.form.event.HtmlEditorListenerAdapter

All Implemented Interfaces:
  BoxComponentListener, ComponentListener, FieldListener, HtmlEditorListener

    public class HtmlEditorListenerAdapter

extends FieldListenerAdapter
implements HtmlEditorListener

Constructor Summary
`HtmlEditorListenerAdapter()`

Method Summary
`boolean` | `doBeforePush(HtmlEditor field, java.lang.String html)` Fires before the iframe editor is updated with content from the textarea.
`boolean` | `doBeforeSync(HtmlEditor field, java.lang.String html)` Fires before the textarea is updated with content from the editor iframe.
`void` | `onActivate(HtmlEditor field)` Fires when the editor is first receives the focus.
`void` | `onEditModeChange(HtmlEditor field, boolean sourceEdit)` Fires when the editor switches edit modes.
`void` | `onInitialize(HtmlEditor field)` Fires when the editor is fully initialized (including the iframe)
`void` | `onPush(HtmlEditor field, java.lang.String html)` Fires when the iframe editor is updated with content from the textarea.
`void` | `onSync(HtmlEditor field, java.lang.String html)` Fires when the textarea is updated with content from the editor iframe.

Methods inherited from class com.gwtext.client.widgets.form.event.FieldListenerAdapter
`onBlur, onChange, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from class com.gwtext.client.widgets.event.BoxComponentListenerAdapter
`onMove, onResize`

Methods inherited from class com.gwtext.client.widgets.event.ComponentListenerAdapter
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.gwtext.client.widgets.form.event.FieldListener
`onBlur, onChange, onFocus, onInvalid, onSpecialKey, onValid`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Constructor Detail

### HtmlEditorListenerAdapter

    public HtmlEditorListenerAdapter()

Method Detail

### onActivate

    public void onActivate(HtmlEditor field)

  Description copied from interface: `HtmlEditorListener`
  Fires when the editor is first receives the focus. Any insertion must wait until after this event.

  Specified by:
    `onActivate` in interface `HtmlEditorListener`
  Parameters:
    `field` - this

### doBeforePush

    public boolean doBeforePush(HtmlEditor field,
                                java.lang.String html)

  Description copied from interface: `HtmlEditorListener`
  Fires before the iframe editor is updated with content from the textarea. Return false to cancel the push.

  Specified by:
    `doBeforePush` in interface `HtmlEditorListener`
  Parameters:
    `field` - this
    `html` - the html
  Returns:
    false to cancel

### doBeforeSync

    public boolean doBeforeSync(HtmlEditor field,
                                java.lang.String html)

  Description copied from interface: `HtmlEditorListener`
  Fires before the textarea is updated with content from the editor iframe. Return false to cancel the sync.

  Specified by:
    `doBeforeSync` in interface `HtmlEditorListener`
  Parameters:
    `field` - this
    `html` - the html
  Returns:
    false to cancel sync

### onEditModeChange

    public void onEditModeChange(HtmlEditor field,
                                 boolean sourceEdit)

  Description copied from interface: `HtmlEditorListener`
  Fires when the editor switches edit modes.

  Specified by:
    `onEditModeChange` in interface `HtmlEditorListener`
  Parameters:
    `field` - this
    `sourceEdit` - true if source edit, false if standard editing

### onInitialize

    public void onInitialize(HtmlEditor field)

  Description copied from interface: `HtmlEditorListener`
  Fires when the editor is fully initialized (including the iframe)

  Specified by:
    `onInitialize` in interface `HtmlEditorListener`
  Parameters:
    `field` - this

### onPush

    public void onPush(HtmlEditor field,
                       java.lang.String html)

  Description copied from interface: `HtmlEditorListener`
  Fires when the iframe editor is updated with content from the textarea.

  Specified by:
    `onPush` in interface `HtmlEditorListener`
  Parameters:
    `field` - this
    `html` - the html

### onSync

    public void onSync(HtmlEditor field,
                       java.lang.String html)

  Description copied from interface: `HtmlEditorListener`
  Fires when the textarea is updated with content from the editor iframe.

  Specified by:
    `onSync` in interface `HtmlEditorListener`
  Parameters:
    `field` - this
    `html` - the html

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD